Bug Hunting Session
Bug 34619 - VIEWING: In Word cropped PowerPoint OLE object isn't cropped in Writer
Summary: VIEWING: In Word cropped PowerPoint OLE object isn't cropped in Writer
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.3.0 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: OLE-Object-Interoperability Image-Crop
  Show dependency treegraph
 
Reported: 2011-02-23 07:28 UTC by sasha.libreoffice
Modified: 2019-02-23 03:42 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
document with problem object (inserted slide of presentation) (333.74 KB, application/vnd.oasis.opendocument.text)
2011-02-23 07:28 UTC, sasha.libreoffice
Details
Screenshots comparing view in WRITER, IMPRESS, DRAW (245.24 KB, application/pdf)
2011-04-15 08:59 UTC, Rainer Bielefeld Retired
Details
demo document with crop object problem with screenshot inside (139.00 KB, application/msword)
2011-04-18 07:29 UTC, sasha.libreoffice
Details

Note You need to log in before you can comment on or make changes to this bug.
Description sasha.libreoffice 2011-02-23 07:28:29 UTC
Created attachment 43704 [details]
document with problem object (inserted slide of presentation)

It is text with inserted page of presentation in it. When I double click on it, it looks ok. But when I click on other text, it becomes wrong.
Document was created in MSoffice 2003 and it is one page of initial document.
It behaves the same on windows 32 and on Linux 64. On Libre and Open office.
Comment 1 sasha.libreoffice 2011-03-10 05:44:11 UTC
It is because in Libre Writer function Crop Object is not implemented. All word documents with cropped objects will look wrong.

To reproduce this problem:
Start MSword and PowerPoint.
In power point select some background to slide.
Drag and Drop from PowerPiont (slides on left) to Word.
In Word select dropped object and crop it.
save document in Word

In Writer this document appears with not cropped object. Reproduced on LibreOffice 3.3.1.2
Comment 2 Rainer Bielefeld Retired 2011-04-15 08:55:22 UTC
Seems to be [reproducible[ with "LibreOffice 3.3.2  – WIN7  Home Premium  (64bit) German UI [OOO330m19 (Build:202 / tag 3.3.2.2)]", pls. see my screenshots.

Problem disappears when I copy/paste Presentation object from sample document to a new DRAW document.

@sasha:
No idea what's "ok" and "wrong" for you. Can you confirm view in my screenshots?

@Céedric:
I believe it's a bug because it's shown correctly in DRAW?
Comment 3 Rainer Bielefeld Retired 2011-04-15 08:59:57 UTC
Created attachment 45675 [details]
Screenshots comparing view in WRITER, IMPRESS, DRAW
Comment 4 sasha.libreoffice 2011-04-18 07:29:09 UTC
Created attachment 45771 [details]
demo document with crop object problem with screenshot inside

I have created document with explanation and screenshot inside. It demonstrated tihis problem more simply.

And I think that title for this bug:
   Functionality request: crop of OLE-objects in Writer
is more informative, but can not change title of bug. Please, change.
Comment 5 A (Andy) 2013-05-05 12:29:28 UTC
reproducible with LO 4.0.2.2 (Win7 Home, 64bit), compared with MSO 2007
Comment 6 bfoman (inactive) 2013-05-16 12:54:13 UTC
This bug has not been touched by its owner for a long time. To make it clearer which bugs should be fixed by someone else please take following action:
- If you are the owner, and you are actively working on the bug, please give it an update. 
- If you are the owner, and you do not plan to work on it in the near future,
please reassign it to the default assignee and change its status to NEW.
Comment 7 retired 2014-01-08 00:01:39 UTC
I don't see any owner at all. Not sure why this is on a assigned. Setting to NEW.
Comment 8 Joel Madero 2015-05-02 15:41:56 UTC Comment hidden (obsolete)
Comment 9 QA Administrators 2016-09-20 09:37:44 UTC Comment hidden (obsolete)
Comment 10 Thomas Lendo 2017-09-24 20:32:51 UTC
Reproduced with Version: 6.0.0.0.alpha0+
Build ID: 722161e26437b25adc449f773836d369bd0cb081
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk3; 
Locale: de-DE (de_DE.UTF-8); Calc: group
moggi's auto updater build, 2017-09-24
Comment 11 QA Administrators 2019-02-23 03:42:03 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug